xml_memory_management_function_storage< T > Struct Template Reference

## Static Public Attributes

static allocation_function | allocate = default_allocate
static deallocation_function | deallocate = default_deallocate

## Detailed Description

### template<typename T>
struct xml_memory_management_function_storage< T >

Definition at line 161 of file pugixml.cpp.

## Member Data Documentation

## allocate

template<typename T >

allocation_function xml_memory_management_function_storage< T >::allocate = default_allocate

static

Definition at line 163 of file pugixml.cpp.

Referenced by xpath_allocator::allocate_nothrow(), xml_allocator::allocate_page(), convert_buffer_latin1(), convert_buffer_utf16(), convert_buffer_utf32(), convert_path_heap(), convert_string_to_number_scratch(), xml_stream_chunk< T >::create(), xpath_query_impl::create(), get_mutable_buffer(), get_variable_scratch(), load_file_impl(), load_stream_data_noseek(), load_stream_data_seek(), new_xpath_variable(), xpath_allocator::reallocate(), and pugi::set_memory_management_functions().

## deallocate

template<typename T >

deallocation_function xml_memory_management_function_storage< T >::deallocate = default_deallocate

static

Definition at line 164 of file pugixml.cpp.

Referenced by convert_string_to_number_scratch(), xml_allocator::deallocate_page(), delete_xpath_variable(), xml_stream_chunk< T >::destroy(), xpath_query_impl::destroy(), get_variable_scratch(), load_file_impl(), load_stream_data_seek(), open_file_wide(), xpath_allocator::reallocate(), xpath_allocator::release(), xpath_allocator::revert(), pugi::set_memory_management_functions(), and xpath_variable_string::~xpath_variable_string().

The documentation for this struct was generated from the following file:

- pugixml.cpp